
Foreman - Bug #7785

Unable to create users: can't dump anonymous class Class (TypeError)

10/02/2014 01:28 PM - Thomas McKay

Status: Rejected   

Priority: High   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Creating users, whether by API or UI, fails with "can't dump anonymous class Class (TypeError)". Commenting out the line

"self.auditing_enabled = !Foreman.in_rake?('db:migrate')" in models/user.rb allows creation.

History

#1 - 10/03/2014 03:38 AM - Dominic Cleal

- Category set to Audit Log

- Status changed from New to Need more information

- Priority changed from Urgent to High

What environment is this?  Cannot reproduce on EL6 nightlies or on an up to date source install.

#2 - 02/29/2016 06:35 AM - Tomer Brisker

- Status changed from Need more information to Rejected

Could not be reproduced over a year. Closing.
